<?php
/**
 * 
 * 
 * 
 */

if (!defined('IN_COPPERMINE')) { die('Not in Coppermine...');}

///////////////////////////////////////////////////////////////////////
/////////////////   GENERATING THE HTML CONTENT    ////////////////////
///////////////////////////////////////////////////////////////////////

pageheader($lang_jupload_php['title']);

///////////////////////////////////////////////////////////////////////
//First part : some local javascript
///////////////////////////////////////////////////////////////////////

//Initialization, let's prepare the creation of the desc array : what's the bigguest album number ?
$max = 0;
foreach($user_albums_list as $a) {
  if ($a['aid'] >= $max) {
    $max = $a['aid'] + 1;
  }
}//foreach

$error_select_album = rawurlencode(html_entity_decode($lang_jupload_php['error_select_album']));
$error_album_name   = rawurlencode(html_entity_decode($lang_jupload_php['error_album_name'  ]));

echo <<<EOS
  <script language="javascript" type="text/javascript">
  //What should we do, when the user selects another album ?
  function onAlbumChange() {
    if (document.form_album.album.selectedIndex >= 0) {
      document.applets['JUpload'].setProperty('albumId', document.form_album.album.value);
      document.form_album.album_name.value = document.form_album.album.options[document.form_album.album.selectedIndex].text;
      document.form_album.album_description.value = description[document.form_album.album.value];
    } else {
      document.JUpload.setProperty('albumId', '');
      document.form_album.album_name.value = '';
      document.form_album.album_description.value = '';
    }
  }
  function juploadAddPicture() {
  	if (document.form_album.album_name.value == '') {
  		alert(unescape('{$error_select_album}'));
  	} else {
	  	window.location='#applet';
  	}
	//In any case, the  submit must be refused.
	return false;
  }
  function juploadCreateAlbum() {
  	if (document.form_album.album_name.value == '') {
  		alert(unescape('{$error_album_name}'));
  		return false;
  	} else {	
	    document.form_album.action.value = 'create_album';
	    return true;
  	}	    
  }
  function juploadUpdateAlbum() {
  	if (document.form_album.album.selectedIndex == 0) {
  		alert(unescape('{$error_select_album}'));
  		return  false;
  	} else if (document.form_album.album_name.value == '') {
  		alert(unescape('{$error_album_name}'));
  		return false;
  	} else {
	    document.form_album.action.value = 'update_album';
	    return true;
  	}
  }
  description = new Array($max);
EOS
;

//Initialization, let's prepare the creation of the desc array
$max = 0;
foreach($user_albums_list as $a) {
	echo (
		"description[{$a['aid']}] = '" 
		. 
		//stripcslashes (
		str_replace("\r", "",
			str_replace("\n", "\\n",
				str_replace("'", "\\'", 
					html_entity_decode($a['description']) 
				)
			)
		)
		. "';\n");
}//foreach

echo <<<EOS
  </script>
EOS
;

///////////////////////////////////////////////////////////////////////
//Second part : the selection of the album
///////////////////////////////////////////////////////////////////////

echo ('<form method="post" name="form_album" enctype="multipart/form-data" action="' . $_SERVER['PHP_SELF'] . '">');
		starttable("100%", $lang_jupload_php['select_album'], 2);
		if (! $bJuploadTranslactionExist) {
			form_statement ('<B>The JUpload translation for this language doesn\'t exist. </B>'
				. 'If you want to create it, please go to the <a href="http://etienne.lesgauthier.fr/wiki/doku.php?id=jupload_translation">JUpload translation page</a>.'
				. '<HR>');
		}	
		form_statement ($lang_jupload_php['album_presentation']);
		form_alb_list_box ($lang_jupload_php['album'], "album", 'onChange="onAlbumChange()"');
		hidden_input('action', 'no action');
		//A default value is given only if the album number (in $album) is given:
		text_box_input($lang_jupload_php['album_name'], 'album_name', 255, 1, (($album>0)?$album_name:'')); 
		text_area_input($lang_jupload_php['album_description'], 'album_description', 2000, (($album>0)?$album_description:''));
		submit_button(array (
			    array( 'value'  =>  $lang_jupload_php['add_pictures'], 'js' => 'onClick="return juploadAddPicture()"'),
			    array( 'value'  =>  $lang_jupload_php['button_update_album'], 'js' => 'onClick="return juploadUpdateAlbum()"'),
			    array( 'value'  =>  $lang_jupload_php['button_create_album'], 'js' => 'onClick="return juploadCreateAlbum()"')
		    ));
	endtable();
echo ("</form>");


///////////////////////////////////////////////////////////////////////
//Third part : the upload applet
///////////////////////////////////////////////////////////////////////

starttable("100%", $lang_jupload_php['add_pictures'], 2);

  //$URL = $CONFIG['site_url'] . 'xp_publish.php';
  //$URL = $CONFIG['site_url'] . 'plugins/jupload/upload_picture.php';
  $URL = $CONFIG['site_url'] . 'jupload.php?action=add_picture';
  
  $urlToSendErrorTo = $CONFIG['site_url'] . 'plugins/jupload/log_error.php';
  
  form_label ('<a name="applet">' . $lang_jupload_php['max_upload_size'], $CONFIG['max_upl_size']);
  form_statement ($lang_jupload_php['upload_presentation']);
  /*
   * Below : use of the standard applet tag for all. This is simpler, and seems to work better ... now. This
   * was probably wrong when the original jupload was released, in 2002. 
   */
  form_label (<<<EOS
  	<CENTER>
      <APPLET  
          NAME="JUpload"
          CODE="wjhk.jupload2.JUploadApplet" 
          ARCHIVE="plugins/jupload/wjhk.jupload.jar" 
          WIDTH="640" 
          HEIGHT="500"
          MAYSCRIPT
          >
          <PARAM NAME="albumId"             VALUE="$album">
          <PARAM NAME="debugLevel"          VALUE="0">
          <PARAM NAME="lang"                VALUE="${lang_translation_info['lang_country_code']}">
          <!-- PARAM NAME="filenameEncoding"    VALUE="utf-8" -->
          <PARAM NAME="highQualityPreview"  VALUE="true">
          <PARAM NAME="maxPicHeight"        VALUE="${CONFIG['max_upl_width_height']}">
          <PARAM NAME="maxPicWidth"         VALUE="${CONFIG['max_upl_width_height']}">
          <PARAM NAME="nbFilesPerRequest"   VALUE="1">
          <PARAM NAME="postURL"             VALUE="$URL">
          <PARAM NAME="serverProtocol"      VALUE="${_SERVER['SERVER_PROTOCOL']}">
          <PARAM NAME="stringUploadSuccess" VALUE="SUCCESS">
          <PARAM NAME="uploadPolicy"        VALUE="CoppermineUploadPolicy">
          <PARAM NAME="urlToSendErrorTo"    VALUE="$urlToSendErrorTo">
                
      Java 1.4 or higher plugin required.
      </APPLET>
   </CENTER>
EOS
  );

endtable();


pagefooter();
ob_end_flush();

